// usestruct.cpp
// Glenn G. Chappell
// 10 Sep 2013
//
// For CS 202 Fall 2013
// Example using a struct

#include <iostream>
using std::cout;
using std::endl;
using std::cin;
#include <string>
using std::string;


// struct Person
// Holds name & age of a single person
struct Person {
    string name;
    int age;
};


// printPerson
// Given Person object, prints name & age on separate lines
void printPerson(Person p)
{
    cout << "Name: " << p.name << endl;
    cout << "Age: " << p.age << endl;
}


// Main program
// Create a Person object, set its data, and print
int main()
{
    // Create object
    Person fred;

    // Set members
    fred.name = "Fred Smurd";
    fred.age = 24;

    // Print
    cout << "Person object created" << endl;
    printPerson(fred);

    cout << endl;
    cout << "Press ENTER to quit ";
    while (cin.get() != '\n') ;

    return 0;
}

